Bug 316731 - RFE: Please update libao to 0.8.8 version
RFE: Please update libao to 0.8.8 version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libao (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
http://downloads.xiph.org/releases/ao...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 08:21 EDT by Marcin Garski
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.8.8-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 22:29:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated libao.spec (5.99 KB, text/x-rpm-spec)
2007-11-07 11:13 EST, Julian Sikorski
no flags Details

  None (edit)
Description Marcin Garski 2007-10-03 08:21:01 EDT
Notable changes since 0.8.6:
- the 'alsa' device now uses the 0.9/1.0 API
- ALSA driver fixes
Comment 1 Julian Sikorski 2007-11-07 09:33:24 EST
What is even more important: 0.8.8 supports PulseAudio, which is now the default
in Fedora. So I think this package should be updated ASAP.
Comment 2 Julian Sikorski 2007-11-07 11:13:03 EST
Created attachment 250291 [details]
Updated libao.spec

I have updated the specfile to 0.8.8, at the same time cleaning it up a bit.
I'm not sure if the kludges present are still needed, so I left them in.
Updated library seems to work correctly, it even pick PulseAudio as a default
driver for some reason. Changes:
- Updated to 0.8.8
- Cleaned up the SPEC
- Added PulseAudio support
- Made build parallel
- Killed rpaths
- Changed the kludges to use sed
Comment 3 Julian Sikorski 2007-11-12 12:08:59 EST
Hans, Behdad told me to CC you as the vorbis stack comaintainer.
Comment 4 Hans de Goede 2007-11-12 13:35:11 EST
(In reply to comment #3)
> Hans, Behdad told me to CC you as the vorbis stack comaintainer.

Ok,

Behdad, may I ask why? Do vorvis stack parts need a rebuild for this, or is this
considered part of the stack too? I guess judging from the download URL, that it
is. So I'm guessing you want me to become co-maintainer of libao too? Which is
fine by me. I'll be filing a request for the necessary changes in packagedb
right after this comment.

Please ack wether or not I guessed your intentions right.
Comment 5 Hans de Goede 2007-11-14 09:18:33 EST
Julian, thanks for the improved specfile, I've used it verbatim. I've also added
the following changes:
* Wed Nov 14 2007 Hans de Goede <j.w.r.degoede@hhs.nl> - 0.8.8-2
- Fix multilib conflict (bz 341891)
- Fix Source0 and URL urls

0.8.8-2 is now building and should show up in tomorrow's rawhide. Since this
also adds pulseaudio support I will also be pushing it as an F-8 update. 
Comment 6 Fedora Update System 2007-11-14 22:35:35 EST
libao-0.8.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libao'
Comment 7 Fedora Update System 2007-11-21 22:29:23 EST
libao-0.8.8-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.